//--------------------------------------------------------
// Defines the system environment class
//--------------------------------------------------------
#ifndef __OB_ENV_H
#define __OB_ENV_H
#ifndef __GRAPHICS_H
#include <graphics.h>
#endif
#ifndef __OP_VIEW_H
#include <op_view.h>
#endif
#ifndef __OP_GRAPH_H
#include <op_graph.h>
#endif
#ifndef __OP_LIGHT_H
#include <op_light.h>
#endif

//-------------------------------------------------------------
// Environment class records information about the program
//-------------------------------------------------------------
class Environ
{
 public:
   Viewer *viewer;         // Connection to the 3-D viewer class
   Graphics *graphics;     // Connection to the graphics class
   d_Light *light;         // Connection to shading class
   int pixel_size;         // The size of one pixel array element

   Environ(Viewer *v, Graphics *g, d_Light *l = NULLP,
           int max_pages = 1, int max_views = 1);
   ~Environ(void) {}
};
#endif
